Subject: Compile error with Xcode 4.1 in unexec
From: "William R. Otte" <[email-masked]>
To: [email-masked]
Date: Thu, 31 Mar 2011 10:09:34 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi - 

I've been trying to build emacs-23 branch from bzr using Xcode 4.1 (not, not 4.0.1) with either included compiler.  While the patch for  bug 8223 resolved one issue that I'm having, I subsequently encounter another error in unexec, found attached below. 

I'm happy to help debug this, as 4.1 may not be readily available to all involved - but will require some guidance from someone familiar with the code.

thanks,
/-Will

Dumping under the name emacs
--- List of All Regions ---
   address     size prot maxp
--- List of Regions to be Dumped ---
   address     size prot maxp
--- Header Information ---
Magic = 0xfeedfacf
CPUType = 16777223
CPUSubType = -2147483645
FileType = 0x2
NCmds = 50
SizeOfCmds = 4208
Flags = 0x00200085
Highest address of load commands in input file: 0x5dd000
Lowest offset of all sections in __TEXT segment:   0x20c0
--- List of Load Commands in Input File ---
# cmd              cmdsize name                address     size
0 LC_SEGMENT_64          72 __PAGEZERO                0 0x100000000
1 LC_SEGMENT_64         632 __TEXT           0x100000000 0x202000
                           __text           0x1000020c0 0x1b6c2c
                           __stubs          0x1001b8cec   0x1248
                           __stub_helper    0x1001b9f34   0x1e88
                           __cstring        0x1001bbdc0  0x172db
                           __const          0x1001d30a0    0x534
                           __unwind_info    0x1001d35d4   0x20f4
                           __eh_frame       0x1001d56c8  0x2c930
2 LC_SEGMENT_64         712 __DATA           0x100202000 0x311000
                           __program_vars   0x100202000     0x28
                           __got            0x100202028     0x70
                           __nl_symbol_ptr  0x100202098     0x10
                           __la_symbol_ptr  0x1002020a8   0x1860
                           __data           0x100203920 0x2a5ee8
                           __const          0x1004a9820   0x1ff0
                           __common         0x1004ab820  0x10ce1
                           __bss            0x1004bc520  0x563b8
3 LC_SEGMENT_64          72 __LINKEDIT       0x100513000  0xca000
4 LC_DYLD_INFO_ONLY      48
5 LC_SYMTAB              24
6 LC_DYSYMTAB            80
7 LC_LOAD_DYLINKER       32
8 LC_UUID                24
9 unknown                16
10 LC_UNIXTHREAD         184
11 LC_LOAD_DYLIB          64
12 LC_LOAD_DYLIB          64
13 LC_LOAD_DYLIB          64
14 LC_LOAD_DYLIB          72
15 LC_LOAD_DYLIB          56
16 LC_LOAD_DYLIB          56
17 LC_LOAD_DYLIB          64
18 LC_LOAD_DYLIB          56
19 LC_LOAD_DYLIB          56
20 LC_LOAD_DYLIB          56
21 LC_LOAD_DYLIB          64
22 LC_LOAD_DYLIB          56
23 LC_LOAD_DYLIB          72
24 LC_LOAD_DYLIB          64
25 LC_LOAD_DYLIB          64
26 LC_LOAD_DYLIB          56
27 LC_LOAD_DYLIB          56
28 LC_LOAD_DYLIB          56
29 LC_LOAD_DYLIB          64
30 LC_LOAD_DYLIB          64
31 LC_LOAD_DYLIB          56
32 LC_LOAD_DYLIB          64
33 LC_LOAD_DYLIB          64
34 LC_LOAD_DYLIB          64
35 LC_LOAD_DYLIB          64
36 LC_LOAD_DYLIB          64
37 LC_LOAD_DYLIB          64
38 LC_LOAD_DYLIB          56
39 LC_LOAD_DYLIB          56
40 LC_LOAD_DYLIB          56
41 LC_LOAD_DYLIB          56
42 LC_LOAD_DYLIB          56
43 LC_LOAD_DYLIB          56
44 LC_LOAD_DYLIB          56
45 LC_LOAD_DYLIB          56
46 LC_LOAD_DYLIB          56
47 LC_LOAD_DYLIB          64
48 LC_LOAD_DYLIB          64
49 unknown                16
0x7feafc1fc080 (sz:   0x3f2d/  0x3f30)
0x7feafc100000 (sz:  0xfc07f/ 0xfc080)
0x7feafaefc080 (sz:   0x3f2c/  0x3f30)
0x7feafae00000 (sz:  0xfc07f/ 0xfc080)
0x7feafc0fc080 (sz:   0x3f2c/  0x3f30)
0x7feafc000000 (sz:  0xfc080/ 0xfc080)
0x7feafadfc080 (sz:   0x3f2d/  0x3f30)
0x7feafad00000 (sz:  0xfc080/ 0xfc080)
0x7feafcff8000 (sz:   0x316c/  0x7fa8)
0x7feafc800000 (sz: 0x313ffe/0x7f8000)
0x7feafbff8000 (sz:   0x7f9f/  0x7fa8)
0x7feafb800000 (sz: 0x7f7fff/0x7f8000)
0x110803000 (sz:        0/  0x1000)
--- Load Commands written to Output File ---
Writing segment __PAGEZERO       @        0 (       0/0x100000000 @          0)
Writing segment __TEXT           @        0 (0x202000/0x202000 @ 0x100000000)
Writing segment __DATA           @ 0x202000 (0x311000/0x311000 @ 0x100202000)
        section __program_vars   at 0x202000 - 0x202028 (sz:     0x28)
        section __got            at 0x202028 - 0x202098 (sz:     0x70)
        section __nl_symbol_ptr  at 0x202098 - 0x2020a8 (sz:     0x10)
        section __la_symbol_ptr  at 0x2020a8 - 0x203908 (sz:   0x1860)
unexec: cannot write section __data
make[2]: *** [bootstrap-emacs] Error 1